System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.HttpModuleAction), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

The collection allows access to the elements of the section.

Represents a collection of objects. This class cannot be inherited.

- Constructor

  This constructor creates a non-initialized instance of the object.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void `` To be added.

  Adds an object to the collection.

  Adds an object to the collection.

  2.0.0.0
- Method
  System.Void

  This method inserts a clear directive into the appropriate section of the configuration file to clear all references to elements defined in a higher-level configuration file. All elements defined in the appropriate section of the current configuration file are removed.

  Removes all objects from the collection.

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement

  When a collection is loaded from the configuration file, this method is called internally to create individual elements.

  Creates a new object for the collection.

  A new object.

  2.0.0.0
- Method
  System.Object ``

  This method is intended for internal use only.

  Gets the element key for a specified object.

  An , which acts as the key for the specified object.

  The whose key is returned. 2.0.0.0
- Method
  System.Int32 ``

  Before using this method, you must identify an module with the proper name and type. You can then use this module object to get its collection index.

  Gets the collection index of the specified module.

  The collection index value for the specified module.

  The module for which to get the collection index. 2.0.0.0
- Method
  System.Boolean ``

  This method is intended for internal use only.

  Verifies that the element is removable.

  true if the element is removable.

  The element whose removable property is queried. 2.0.0.0
- Property
  System.Web.Configuration.HttpModuleAction `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void ``

  This method inserts a <remove> element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes an object from the collection.

  The key that identifies the object to remove from the collection. 2.0.0.0
- Method
  System.Void ``

  This method inserts a <remove> element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes an object from the collection.

  The module to remove. 2.0.0.0
- Method
  System.Void ``

  This method inserts a <remove> element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes an module at the specified index from the collection.

  The index of the module to remove. 2.0.0.0